Package com.sas.lsaf.workflow.processdefinition

## Class TaskDefinition

- java.lang.Object
- - com.sas.lsaf.workflow.processdefinition.FlowElementDefinition
  - - com.sas.lsaf.workflow.processdefinition.TaskDefinition

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TaskDefinition
      extends FlowElementDefinition

  The class that represents a task definition.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDefinition​(java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, java.lang.String parentId, java.util.Set<FormAttributeDefinition> completionAttributes)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<FormAttributeDefinition>` | `getCompletionAttributes()` | Gets the attribute definitions for the completion properties of a task.
    `int` | `hashCode()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.processdefinition.FlowElementDefinition

      `getDescription, getElementId, getName, getParentId, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskDefinition

          public TaskDefinition​(java.lang.String elementId,
                                java.lang.String name,
                                java.lang.String description,
                                Element.ElementType type,
                                java.lang.String parentId,
                                java.util.Set<FormAttributeDefinition> completionAttributes)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the task definitions returned by the API.
      Parameters:
        `elementId` - The identifier of the task element as it appears in the process flow definition.
        `name` - The name of the task as it appears in the process flow definition.
        `description` - The description of the task as it appears in the process flow definition.
        `type` - The type of the task that is associated with the type in the process flow definition.
        `parentId` - The identifier of the flow definition that is the parent of this task.
        `completionAttributes` - The attribute definitions for the completion properties of a task.

  - ### Method Detail

    - #### getCompletionAttributes

          public java.util.Set<FormAttributeDefinition> getCompletionAttributes()

      Gets the attribute definitions for the completion properties of a task.
      Returns:
        The attribute definitions.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FlowElementDefinition`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `FlowElementDefinition`